Opened 8 years ago

Closed 7 years ago

#14408 closed defect (duplicate)

Upgrade dot2tex spkg to latest development version

Reported by: nthiery Owned by: tbd
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: packages: optional Keywords:
Cc: slabbe, ncohen Merged in:
Authors: Reviewers: Travis Scrimshaw
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #14594 Stopgaps:

Status badges

Description (last modified by leif)

With the current optional dot2tex spkg, some doctests are failing:

sage: g = digraphs.ButterflyGraph(2)
sage: g.plot(layout = "graphviz", prog = "neato") # optional - dot2tex, graphviz
Traceback (most recent call last): 
...
ValueError: invalid literal for int() with base 10: '67.297'

This is due to a bug in dot2tex which was fixed in the upstream development branch (but there was no official release since then):

http://code.google.com/p/dot2tex/issues/detail?id=20

See also the top of sage.graphs.doc2tex_utils.

A first step toward is available at:

http://sage.math.washington.edu/home/nthiery/dot2tex-2.8.7-dev.spkg

A second step towards is available at:

http://boxen.math.washington.edu/home/leif/Sage/spkgs/dot2tex-2.9.0-dev-20120520.p0.spkg

(This one is [technically] based on the 2.8.7.p2 spkg from #14594, rather than on Nicolas' 2.8.7-dev spkg above.)

Attachments (2)

dot2tex-2.8.7.p2-dot2tex-2.9.0-dev-20120520.p0.diff (9.7 KB) - added by leif 8 years ago.
Initial diff of the new 2.9.0-dev spkg against the 2.8.7.p2 from #14594. For reference / review only.
trac_14408_fix_some_dot2tex_doctests-sl.patch (5.3 KB) - added by slabbe 8 years ago.
This patch fixes some dot2tex broken optional doctests in graph_latex and generic_graph

Download all attachments as: .zip

Change History (32)

comment:1 Changed 8 years ago by leif

  • Component changed from graph theory to packages: optional
  • Dependencies set to #14594
  • Owner changed from jason, ncohen, rlm to tbd

I'll presumably create a new spkg (with the devel version) based on the one from #14594 ( = 2.8.7-2 + new matplotlib fix + upstream removed from Mercurial history).

comment:2 follow-up: Changed 8 years ago by leif

For the record:

------------------------------------------------------------------------
r259 | kjellmf | 2009-11-09 09:40:59 +0100 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/dot2tex/__init__.py
   M /trunk/dot2tex/dot2tex.py
   M /trunk/dot2tex/dotparsing.py
   M /trunk/setup.py

Updated version number to 2.8.7dev
------------------------------------------------------------------------
r258 | kjellmf | 2009-10-20 10:15:26 +0200 (Tue, 20 Oct 2009) | 1 line
Changed paths:
   A /trunk/doc/img/dot2texiex1.png
   A /trunk/doc/img/dot2texiex2.png

Added missing png files
------------------------------------------------------------------------
r256 | kjellmf | 2009-10-05 14:06:43 +0200 (Mon, 05 Oct 2009) | 1 line
Changed paths:
   M /trunk/changelog.txt
   M /trunk/doc/usage.txt
   M /trunk/dot2tex/__init__.py
   M /trunk/dot2tex/dot2tex.py
   M /trunk/dot2tex/dotparsing.py
   M /trunk/readme.txt
   M /trunk/setup.py

Bumped version to 2.8.7.
------------------------------------------------------------------------
...

So revision 259 (from late 2009!) seems to be the latest one; I guess that's the one in Nicolas' 2.8.7-dev spkg.

comment:3 in reply to: ↑ 2 ; follow-up: Changed 8 years ago by leif

Replying to leif:

For the record:

r259 | kjellmf | 2009-11-09 09:40:59 +0100 (Mon, 09 Nov 2009) | 1 line
...

So revision 259 (from late 2009!) seems to be the latest one; I guess that's the one in Nicolas' 2.8.7-dev spkg.

Nope, the subversion repo is no longer updated, the last commit to the (newer) Mercurial repo is

changeset:   52:c31a5296fc1b
tag:         tip
user:        Kjell Magne Fauske
date:        Sun May 20 11:11:13 2012 +0200
summary:     Removed an unused method+ typos

But that's in turn a newer version than in Nicolas' -dev spkg.

(And I'm happy that Kjell decided to rename the 2.8.x-dev to 2.9.x[-dev], since 2.8.7 is released and hence 2.8.7-dev as a successor of 2.8.7 is illogical, i.e., sounded more like a prerelease of 2.8.7.)

changeset:   31:7eada7c3ef61
user:        Kjell Magne Fauske <kjellmf@gmail.com>
date:        Thu Jun 16 15:29:43 2011 +0200
summary:     Bumped version to 2.9.0dev

comment:4 in reply to: ↑ 3 Changed 8 years ago by nthiery

Replying to leif:

So revision 259 (from late 2009!) seems to be the latest one; I guess that's the one in Nicolas' 2.8.7-dev spkg.

Nope, the subversion repo is no longer updated, the last commit to the (newer) Mercurial repo is But that's in turn a newer version than in Nicolas' -dev spkg.

Oops, that mean I screwed up my upgrading the package the other day :-) Thanks for catching this.

(And I'm happy that Kjell decided to rename the 2.8.x-dev to 2.9.x[-dev], since 2.8.7 is released and hence 2.8.7-dev as a successor of 2.8.7 is illogical, i.e., sounded more like a prerelease of 2.8.7.)

+1

comment:5 follow-up: Changed 8 years ago by nthiery

There just remains to rebuild the spkg from the new spkg in #14594 using the latest dev version. Volunteer?

comment:6 in reply to: ↑ 5 Changed 8 years ago by leif

Replying to nthiery:

There just remains to rebuild the spkg from the new spkg in #14594 using the latest dev version.

Rebuild? ;-)

And we may also take care of currently failing (optional dot2tex) doctests here [afterwards].


Volunteer?

I was going to do so once #14594 got positive review.

comment:7 Changed 8 years ago by leif

P.S.: If we're aiming at making it a standard package, there's probably a bit more to do [here]. But we can always open a follow-up for that.

comment:8 follow-up: Changed 8 years ago by leif

Should we put the date of the last upstream commit into the spkg's name, e.g. dot2tex-2.9.0-dev-20120520.pN?

Or probably the changeset number of the last commit, e.g. dot2tex-2.9.0-dev-r52.pN?

(The former would be better in case upstream decides to change the VCS once again, and is probably more informative.)

comment:9 in reply to: ↑ 8 Changed 8 years ago by nthiery

Replying to leif:

Should we put the date of the last upstream commit into the spkg's name, e.g. dot2tex-2.9.0-dev-20120520.pN?

Or probably the changeset number of the last commit, e.g. dot2tex-2.9.0-dev-r52.pN?

(The former would be better in case upstream decides to change the VCS once again, and is probably more informative.)

The former (date) is fine for me!

comment:10 Changed 8 years ago by leif

  • Summary changed from Upgrade dot2tex spkg to Upgrade dot2tex spkg to latest development version

comment:11 Changed 8 years ago by leif

Besides having to rebase the "use matplotlib" patch (now also patching dot2tex/__init__.py, which meanwhile has DOS line endings 8-/ ), I'm of courseTM getting new, partially weird(?) test suite failures:

############################################################
spkg-check: Running test_dot2tex.py...
############################################################
.FF....FFERROR    Could not open input file dymmy.dot
E.WARNING  Invalid prog=dummy
FE.....F.....FERROR    Failed to process input
Traceback (most recent call last):
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2928, in main
    s =  conv.convert(dotdata)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 794, in convert
    return self.do_preview_preproc()
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 1062, in do_preview_preproc
    code = self.get_node_preproc_code(node)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2155, in get_node_preproc_code
    (style, label)
TypeError: not enough arguments for format string
.ERROR    Failed to process input
Traceback (most recent call last):
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2928, in main
    s =  conv.convert(dotdata)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 848, in convert
    return self.output()
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2566, in output
    positions[node.name] = map(int, pos.split(','))
ValueError: invalid literal for int() with base 10: '30.139'
FF..
======================================================================
ERROR: test_no_input_file (__main__.ErrorHandlingTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 194, in test_no_input_file
    self.assertRaises(IOError, dot2tex.dot2tex, graph)
  File "${SAGE_ROOT}/local/lib/python/unittest/case.py", line 476, in assertRaises
    callableObj(*args, **kwargs)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/__init__.py", line 66, in dot2tex
    return d2t.convert_graph(dotsource, **kwargs)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2966, in convert_graph
    tex = main(True, dotsource,options)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2842, in main
    dotdata = load_dot_file(filename)
  File "${SAGE_ROOT}/local/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 2769, in load_dot_file
    sys.exit(1)
SystemExit: 1

======================================================================
ERROR: test_prog_options (__main__.GraphvizInterfaceTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 216, in test_prog_options
    xdot_data2 = create_xdot(testgraph, options='-y')
TypeError: create_xdot() got an unexpected keyword argument 'options'

======================================================================
FAIL: test__dim_extraction_cygwin (__main__.AutosizeTests)
Failed to extract dimension data from logfile generated under Cygwin
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 342, in test__dim_extraction_cygwin
    self.failIf(len(texdimdata) == 0)
AssertionError: True is not false

======================================================================
FAIL: test_name_with_parantheses (__main__.BuggyGraphTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 110, in test_name_with_parantheses
    self.failUnless(r'\node (F{K}/R-1)' in source)
AssertionError: False is not true

======================================================================
FAIL: test_edgetexlbl_nolabel_preproc (__main__.EdgeLabelsTests)
Edge labels specified using 'texlbl' should be included when preprocessing the graph
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 201, in test_edgetexlbl_nolabel_preproc
    self.failUnless("TestLabel" in code)
AssertionError: False is not true

======================================================================
FAIL: test_module_parse_error (__main__.ErrorHandlingTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 190, in test_module_parse_error
    self.assertRaises(dot2tex.ParseException, dot2tex.dot2tex, graph)
AssertionError: ParseException not raised

======================================================================
FAIL: test_invalid_program (__main__.GraphvizInterfaceTests)
Invoking create_xdot with an invalid prog parameter should raise an exception
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 224, in test_invalid_program
    self.assertRaises(NameError, create_xdot, testgraph, prog="dummy")
AssertionError: NameError not raised

======================================================================
FAIL: test_semicolon (__main__.MultipleStatements)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 154, in test_semicolon
    self.failUnless(source1==source2)
AssertionError: False is not true

======================================================================
FAIL: test_head_and_tail_labels (__main__.TestBugs)
Test for issue 30
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 370, in test_head_and_tail_labels
    self.assertTrue('HEADLABEL' in code)
AssertionError: False is not true

======================================================================
FAIL: test_floating_point_coordinates (__main__.TestPositionsOutputFormat)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 172, in test_floating_point_coordinates
    self.failUnless(type(positions)==dict)
AssertionError: False is not true

======================================================================
FAIL: test_point_shape (__main__.TikZTemplateTests)
Nodes with the point shape should not have labels
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dot2tex.py", line 358, in test_point_shape
    self.failIf("dummy" in code)
AssertionError: True is not false

----------------------------------------------------------------------
Ran 30 tests in 19.202s

FAILED (failures=9, errors=2)
############################################################
spkg-check: Running test_dotparsing.py...
############################################################
F...E.E.......F.
======================================================================
ERROR: test_add_node (__main__.DotGraphTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dotparsing.py", line 75, in test_add_node
    self.assertEqual(len(g.nodes),2)
TypeError: object of type 'generator' has no len()

======================================================================
ERROR: test_addequalnodes (__main__.DotGraphTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dotparsing.py", line 84, in test_addequalnodes
    self.assertEqual(len(g.nodes),1)
TypeError: object of type 'generator' has no len()

======================================================================
FAIL: test_add_default (__main__.DotDefaultAttrTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dotparsing.py", line 131, in test_add_default
    self.assertEqual(len(g.default_graph_attr),1)
AssertionError: 0 != 1

======================================================================
FAIL: test_add_edge_to_subgraph (__main__.DotSubgraphsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_dotparsing.py", line 116, in test_add_edge_to_subgraph
    self.assertEqual(len(g),2)
AssertionError: 0 != 2

----------------------------------------------------------------------
Ran 16 tests in 0.016s

FAILED (failures=2, errors=2)

(The other four of now six tests in tests/ [still] pass for me.)

Not sure how we should handle these ... (patching / fixing the tests, skipping some, ...)

Haven't tried to run doctests yet.

comment:12 Changed 8 years ago by leif

Initial new spkg is here:

http://boxen.math.washington.edu/home/leif/Sage/spkgs/dot2tex-2.9.0-dev-20120520.p0.spkg

(Changes so far have been committed.)

Changed 8 years ago by leif

Initial diff of the new 2.9.0-dev spkg against the 2.8.7.p2 from #14594. For reference / review only.

comment:13 Changed 8 years ago by leif

The attached spkg diff this time is pretty readable by the way... ;-)

comment:14 Changed 8 years ago by leif

  • Description modified (diff)

comment:15 follow-up: Changed 8 years ago by leif

With Sage 5.10.beta3 and the new spkg, I get:

$ ./sage -t --long --optional=dot2tex,graphviz,sage `grep -Riwl --include='*.py' --include='*.pyx' --include='*.rst' dot2tex devel/sage/{doc,sage}`

Doctesting 14 files.
sage -t --long devel/sage/doc/en/thematic_tutorials/lie/affine_hw_crystals.rst
    [14 tests, 17.69 s]
sage -t --long devel/sage/doc/en/thematic_tutorials/lie/affine_finite_crystals.rst
    [97 tests, 22.92 s]
sage -t --long devel/sage/doc/en/thematic_tutorials/lie/crystals.rst
    [116 tests, 43.20 s]
sage -t --long devel/sage/sage/combinat/crystals/crystals.py
    [27 tests, 28.37 s]
sage -t --long devel/sage/sage/combinat/perfect_matching.py
    [132 tests, 15.61 s]
sage -t --long devel/sage/sage/combinat/posets/linear_extensions.py
    [132 tests, 25.10 s]
sage -t --long devel/sage/sage/combinat/posets/posets.py
**********************************************************************
File "devel/sage/sage/combinat/posets/posets.py", line 1087, in sage.combinat.posets.posets.FinitePoset._latex_
Failed example:
    print P._latex_() #optional - dot2tex graphviz
Expected:
    \begin{tikzpicture}
    %
    \useasboundingbox (0,0) rectangle (5.0cm,5.0cm);
    %
    \definecolor{cv0}{rgb}{0.0,0.0,0.0}
    \definecolor{cfv0}{rgb}{1.0,1.0,1.0}
    \definecolor{clv0}{rgb}{0.0,0.0,0.0}
    \definecolor{cv1}{rgb}{0.0,0.0,0.0}
    \definecolor{cfv1}{rgb}{1.0,1.0,1.0}
    \definecolor{clv1}{rgb}{0.0,0.0,0.0}
    \definecolor{cv0v1}{rgb}{0.0,0.0,0.0}
    %
    \Vertex[style={minimum size=1.0cm,draw=cv0,fill=cfv0,text=clv0,shape=circle},LabelOut=false,L=\hbox{$1$},x=0.0cm,y=0.0cm]{v0}
    \Vertex[style={minimum size=1.0cm,draw=cv1,fill=cfv1,text=clv1,shape=circle},LabelOut=false,L=\hbox{$2$},x=5.0cm,y=5.0cm]{v1}
    %
    \Edge[lw=0.1cm,style={post, bend right,color=cv0v1,},](v0)(v1)
    %
    \end{tikzpicture}
Got:
    <BLANKLINE>
    Warning: `tkz-graph.sty` is not part of this computer's TeX installation.
    This package is required to render graphs in LaTeX.
    Visit 'http://altermundus.com/pages/graph.html'.
    <BLANKLINE>
    <BLANKLINE>
    Warning: `tkz-berge.sty` is not part of this computer's TeX installation.
    This package is required to render graphs in LaTeX.
    Visit 'http://altermundus.com/pages/graph.html'.
    <BLANKLINE>
    \begin{tikzpicture}
    %
    \useasboundingbox (0,0) rectangle (5.0cm,5.0cm);
    %
    \definecolor{cv0}{rgb}{0.0,0.0,0.0}
    \definecolor{cfv0}{rgb}{1.0,1.0,1.0}
    \definecolor{clv0}{rgb}{0.0,0.0,0.0}
    \definecolor{cv1}{rgb}{0.0,0.0,0.0}
    \definecolor{cfv1}{rgb}{1.0,1.0,1.0}
    \definecolor{clv1}{rgb}{0.0,0.0,0.0}
    \definecolor{cv0v1}{rgb}{0.0,0.0,0.0}
    %
    \Vertex[style={minimum size=1.0cm,draw=cv0,fill=cfv0,text=clv0,shape=circle},LabelOut=false,L=\hbox{$1$},x=5.0cm,y=0.0cm]{v0}
    \Vertex[style={minimum size=1.0cm,draw=cv1,fill=cfv1,text=clv1,shape=circle},LabelOut=false,L=\hbox{$2$},x=0.0cm,y=5.0cm]{v1}
    %
    \Edge[lw=0.1cm,style={post, bend right,color=cv0v1,},](v0)(v1)
    %
    \end{tikzpicture}
**********************************************************************
1 item had failures:
   1 of   3 in sage.combinat.posets.posets.FinitePoset._latex_
    [640 tests, 1 failure, 35.67 s]
sage -t --long devel/sage/sage/combinat/rigged_configurations/kleber_tree.py
**********************************************************************
File "devel/sage/sage/combinat/rigged_configurations/kleber_tree.py", line 387, in sage.combinat.rigged_configurations.kleber_tree.KleberTree._latex_
Failed example:
    KT._latex_()   #optional - dot2tex
Expected nothing
Got:
    '\n\\begin{tikzpicture}[>=latex,line join=bevel,]\n%%\n\\node (Klebertreenodewithweight1+0+0andupwardsedgeroot0+1+0) at (13bp,82bp) [draw,draw=none] {$V_{\\omega_{1}}$};\n  \\node (Klebertreenodewithweight0+2+0andupwardsedgeroot0+0+0) at (13bp,8bp) [draw,draw=none] {$V_{2\\omega_{2}}$};\n  \\draw [black,->] (Klebertreenodewithweight1+0+0andupwardsedgeroot0+1+0) ..controls (13bp,63bp) and (13bp,42bp)  .. (Klebertreenodewithweight0+2+0andupwardsedgeroot0+0+0);\n  \\pgfsetstrokecolor{black}\n  \\draw (35bp,45bp) node {$\\left(0, 1, 0\\right)$};\n%\n\\end{tikzpicture}\n'
**********************************************************************
1 item had failures:
   1 of   4 in sage.combinat.rigged_configurations.kleber_tree.KleberTree._latex_
    [90 tests, 1 failure, 39.24 s]
sage -t --long devel/sage/sage/categories/crystals.py
    [203 tests, 87.59 s]
sage -t --long devel/sage/sage/graphs/digraph.py
    [388 tests, 26.94 s]
sage -t --long devel/sage/sage/graphs/dot2tex_utils.py
    [10 tests, 1.43 s]
sage -t --long devel/sage/sage/graphs/generic_graph.py
    [2462 tests, 401.13 s]
sage -t --long devel/sage/sage/graphs/graph.py
    [573 tests, 109.25 s]
sage -t --long devel/sage/sage/graphs/graph_latex.py
**********************************************************************
File "devel/sage/sage/graphs/graph_latex.py", line 1325, in sage.graphs.graph_latex.GraphLatex.dot2tex_picture
Failed example:
    print g.latex_options().dot2tex_picture()  # optional - dot2tex graphviz
Expected:
    \begin{tikzpicture}[>=latex,line join=bevel,]
    %%
      \node (0+1) at (...bp,...bp) [draw,draw=none] {$\left(\text{0}, 1\right)$};
      \node (0+0) at (...bp,...bp) [draw,draw=none] {$\left(\text{0}, 0\right)$};
      \node (1+0) at (...bp,...bp) [draw,draw=none] {$\left(\text{1}, 0\right)$};
      \node (1+1) at (...bp,...bp) [draw,draw=none] {$\left(\text{1}, 1\right)$};
      \draw [->] (1+0) ..controls (...bp,...bp) and (...bp,...bp)  .. (0+1);
      \draw [->] (0+0) ..controls (...bp,...bp) and (...bp,...bp)  .. (0+1);
      \draw [->] (0+0) ..controls (...bp,...bp) and (...bp,...bp)  .. (1+1);
      \draw [->] (1+0) ..controls (...bp,...bp) and (...bp,...bp)  .. (1+1);
    %
    \end{tikzpicture}
Got:
    <BLANKLINE>
    \begin{tikzpicture}[>=latex,line join=bevel,]
    %%
    \node (0+0) at (14bp,63bp) [draw,draw=none] {$\left(0, 0\right)$};
      \node (0+1) at (60bp,9bp) [draw,draw=none] {$\left(0, 1\right)$};
      \node (1+0) at (60bp,63bp) [draw,draw=none] {$\left(1, 0\right)$};
      \node (1+1) at (14bp,9bp) [draw,draw=none] {$\left(1, 1\right)$};
      \draw [black,->] (0+0) ..controls (29bp,46bp) and (38bp,35bp)  .. (0+1);
      \draw [black,->] (1+0) ..controls (45bp,46bp) and (36bp,35bp)  .. (1+1);
      \draw [black,->] (0+0) ..controls (14bp,47bp) and (14bp,37bp)  .. (1+1);
      \draw [black,->] (1+0) ..controls (60bp,47bp) and (60bp,37bp)  .. (0+1);
    %
    \end{tikzpicture}
    <BLANKLINE>
**********************************************************************
1 item had failures:
   1 of   5 in sage.graphs.graph_latex.GraphLatex.dot2tex_picture
    [191 tests, 1 failure, 12.66 s]
----------------------------------------------------------------------
sage -t --long devel/sage/sage/combinat/posets/posets.py  # 1 doctest failed
sage -t --long devel/sage/sage/combinat/rigged_configurations/kleber_tree.py  # 1 doctest failed
sage -t --long devel/sage/sage/graphs/graph_latex.py  # 1 doctest failed
----------------------------------------------------------------------

(These should be all files having (at least) an optional dot2tex tag. Note that I've also included sage, as some [more] tests will otherwise fail due to NameErrors.)

comment:16 in reply to: ↑ 15 ; follow-up: Changed 8 years ago by nthiery

  • Cc slabbe ncohen added

Hi!

Replying to leif:

With Sage 5.10.beta3 and the new spkg, I get:

Thanks for your new spkg! I'll try it now.

sage -t --long devel/sage/sage/combinat/posets/posets.py File "devel/sage/sage/combinat/posets/posets.py", line 1087, in sage.combinat.posets.posets.FinitePoset?._latex_ Failed example:

print P._latex_() #optional - dot2tex graphviz

Expected:

\begin{tikzpicture} ... \Edge[lw=0.1cm,style={post, bend right,color=cv0v1,},](v0)(v1) % \end{tikzpicture}

Got:

<BLANKLINE> Warning: tkz-graph.sty is not part of this computer's TeX installation. This package is required to render graphs in LaTeX. ...

Oops, the optional flag above is wrong: in this example, the latex is produced by plain Sage, using tkz-graph/..., not by dot2tex/graphviz.

I believe that this test, and all the others, would have already failed with the previous spkg, and are probably the failing optional tests that Sébastien mentioned he was working on another ticket.

Sébastien: can you comment? Can I let you synchronize the two efforts?

Thanks!

Cheers,

Nicolas

comment:17 follow-up: Changed 8 years ago by nthiery

I went through the diff showing the changes in the spkg and they look good to me!

The blurb about upgrading the sources from upstream could go in the developpers manual at some point :-)

As for the failing tests in dot2tex itself: we should report them upstream, but we can probably ignore them.

Thanks again!

Cheers,

Nicolas

comment:18 in reply to: ↑ 17 Changed 8 years ago by leif

Replying to nthiery:

I went through the diff showing the changes in the spkg and they look good to me!

The blurb about upgrading the sources from upstream could go in the developpers manual at some point :-)

We're switching to git... ;-)


As for the failing tests in dot2tex itself: we should report them upstream, but we can probably ignore them.

Well, some look pretty scary, and the following sounds familiar:

ValueError: invalid literal for int() with base 10: '30.139'

(I thought that was an issue you reported upstream and which was supposed to have been fixed in the devel version.)

comment:19 in reply to: ↑ 16 Changed 8 years ago by leif

Replying to nthiery:

Replying to leif:

With Sage 5.10.beta3 and the new spkg, I get: [...]

I believe that this test, and all the others, would have already failed with the previous spkg, and are probably the failing optional tests that Sébastien mentioned he was working on another ticket.

I think (haven't really checked exactly) these are the same I reported for the (stable) 2.8.7.p2 spkg at #14594.

comment:20 Changed 8 years ago by leif

Replying to leif:

Replying to nthiery:

Replying to leif:

With Sage 5.10.beta3 and the new spkg, I get: [...]

I believe that this test, and all the others, would have already failed with the previous spkg, and are probably the failing optional tests that Sébastien mentioned he was working on another ticket.

I think (haven't really checked exactly) these are the same I reported for the (stable) 2.8.7.p2 spkg at #14594.

Just reinstalled both spkgs and reran the tests; the doctest failures are exactly the same.

P.S.: The pop-up windows are really annoying! (Especially since they get the focus, such that you can't type at the same time.)

Changed 8 years ago by slabbe

This patch fixes some dot2tex broken optional doctests in graph_latex and generic_graph

comment:21 follow-up: Changed 8 years ago by slabbe

I just posted a patch which fixes *some* dot2tex broken optional doctests. I extracted it from a patch I wrote for #13624.

Do you prefer I create a new ticket for "fixing broken optional dot2tex doctests" or you want to do this here?

comment:22 in reply to: ↑ 21 ; follow-up: Changed 8 years ago by leif

Replying to slabbe:

I just posted a patch which fixes *some* dot2tex broken optional doctests. I extracted it from a patch I wrote for #13624.

Do you prefer I create a new ticket for "fixing broken optional dot2tex doctests" or you want to do this here?

Since it patches the Sage library rather than dot2tex (i.e., the spkg), I think it deserves its own ticket.

(Also, it's a different component, so needs to really get merged into some release, as opposed to just updating the package repository.)

comment:23 in reply to: ↑ 22 Changed 8 years ago by slabbe

Since it patches the Sage library rather than dot2tex (i.e., the spkg), I think it deserves its own ticket.

This is now #14680

comment:24 Changed 8 years ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:25 Changed 7 years ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2

comment:26 follow-up: Changed 7 years ago by vbraun

  • Authors set to Volker Braun
  • Milestone changed from sage-6.2 to sage-duplicate/invalid/wontfix

git branch with the dot2tex update at #16026

comment:27 Changed 7 years ago by vbraun

  • Status changed from new to needs_review

comment:28 Changed 7 years ago by tscrim

  • Authors Volker Braun deleted
  • Reviewers set to Travis Scrimshaw
  • Status changed from needs_review to positive_review

comment:29 in reply to: ↑ 26 Changed 7 years ago by leif

Replying to vbraun:

git branch with the dot2tex update at #16026

The version there isn't based on the spkg here. Also, both are based on a 2.9.0-dev version / snapshot (as opposed to the last stable release, 2.8.7), last updated in April 2012, so having 20140329 in the (upstream!) tarball filename is pretty misleading.

comment:30 Changed 7 years ago by vbraun

  • Resolution set to duplicate
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.